#
# spec file for package python-imaging (Version 1.1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake blt libjpeg libnetpbm libpng libtiff libungif libz netpbm python python-devel tcl tcl-devel tix tk xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison blt bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libnetpbm libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm pam pam-devel patch perl ps python python-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tix tk unzip util-linux vim xdevel xf86 xshared

Name:         python-imaging
Version:      1.1.2
Release:      56
Copyright:    (c) 1997-1999 by Secret Labs AB, (c) 1995-1999 by Fredrik Lundh
Group:        Development/Libraries/Python
Provides:     _imaging.so _tkinter.so python_tkinter_lib python_imaging_lib pyimglib
Requires:     python python-tk tk tix blt
Conflicts:    python-tkinter
Obsoletes:    pyimglib
Autoreqprov:  on
Summary:      The Python Imaging Library - PIL
Patch0:       python-imaging.dif
Source:       Imaging-%{version}.tar.gz
Source1:      the-python-imaging-library.pdf
Source2:      Tkinter-2.0-8.0.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root

%description
The Python Imaging Library adds fairly powerful image processing
capabilities to the Python interpreter and provides extensive file
format support, and efficient internal representation.
It provides also an alternative shared library to Tkinter.

Authors:
--------
    image-sig@python.org

SuSE series: d

%prep
%setup -n Imaging-%{version}
%setup -n Imaging-%{version} -T -D -a 2
%patch0
cp -f ${RPM_SOURCE_DIR}/the-python-imaging-library.pdf .
cp -f Tkinter-2.0-8.0/src/* Tk/

%build
export OPT="$RPM_OPT_FLAGS"
export RPM_BUILD_ROOT
export py_pfx=`python -c 'import sys; print sys.prefix;'`
for f in `find . -type f -exec grep -l /usr/local/bin/python \{\} \;` ; do
  rm -f tmp
  sed -e "s:^#!.*/usr/local/bin/python:#!/usr/bin/env python:g" $f > tmp
  cp -f tmp $f
done
cd libImaging
./configure --prefix=$py_pfx
make OPT="$RPM_OPT_FLAGS"
cd ..
#test -d _tkinter || mkdir _tkinter
cp Makefile.pre.in Tk/
make -f Makefile.pre.in boot
make OPT="$RPM_OPT_FLAGS"
cd Tk 
make -f Makefile.pre.in boot
make OPT="$RPM_OPT_FLAGS"
cd ..

%install
export OPT="$RPM_OPT_FLAGS"
export RPM_BUILD_ROOT
export py_ver=`python -c 'import sys; print sys.version[:3];'`
export py_pfx=`python -c 'import sys; print sys.prefix;'`
export py_site=`python -c 'import site; print site.sitedirs[0];'`
test -d  $RPM_BUILD_ROOT/$py_pfx/lib/python$py_ver/lib-dynload || \
mkdir -p $RPM_BUILD_ROOT/$py_pfx/lib/python$py_ver/lib-dynload
test -d  $RPM_BUILD_ROOT/$py_pfx/include/python$py_ver/PIL || \
mkdir -p $RPM_BUILD_ROOT/$py_pfx/include/python$py_ver/PIL
test  -d $RPM_BUILD_ROOT/$py_site/PIL || \
mkdir -p $RPM_BUILD_ROOT/$py_site/PIL
install -m 755 Tk/_tkinter.so $RPM_BUILD_ROOT/$py_pfx/lib/python$py_ver/lib-dynload/
install -m 755 _imaging.so    $RPM_BUILD_ROOT/$py_site/PIL/
install -m 644 PIL.pth        $RPM_BUILD_ROOT/$py_site/
for i in PIL/*; do
  install -m 644 $i $RPM_BUILD_ROOT/$py_site/PIL/
done
for i in libImaging/{ImConfig.h,ImPlatform.h,Imaging.h}; do
  install -m 644 $i $RPM_BUILD_ROOT/$py_pfx/include/python$py_ver/PIL/
done
#
# pre-compile the modules
#
python $py_pfx/lib/python$py_ver/compileall.py $RPM_BUILD_ROOT/$py_site/PIL/
rm -f file_list
echo "%doc CHANGES FORMATS README"                              >file_list
echo "%doc Scripts Images Sane the-python-imaging-library.pdf" >>file_list
echo "%dir $py_site/PIL"                                       >>file_list
echo "%dir $py_site/PIL.pth"                                   >>file_list
echo "%dir $py_pfx/include/python$py_ver/PIL"                  >>file_list
echo "$py_site/PIL/*"                                          >>file_list
echo "$py_pfx/include/python$py_ver/PIL/*"                     >>file_list
echo "$py_pfx/lib/python$py_ver/lib-dynload/_tkinter.so"       >>file_list

%files -f file_list

%changelog -n python-imaging
* Tue Aug 28 2001 - rvasice@suse.cz
- update to version 1.1.2
- adapted for python 2.1 - regex module -> re
- fixed broken "show" method, TIFF "save" bug
- added transparency support to the PNG codec
* Wed Dec 06 2000 - mt@suse.de
- cleaned up tk dependencies
* Thu Nov 30 2000 - ro@suse.de
- tix link fixed
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Mon Nov 27 2000 - mt@suse.de
- replaced old thinter with new Tkinter-2.0-8.0.tar.gz
* Mon Nov 20 2000 - mt@suse.de
- changed spec to be independed of python version
* Sat Oct 28 2000 - kukuk@suse.de
- Add python-devel to need for build
* Wed Jun 21 2000 - mt@suse.de
- updated to pil v1.1
* Tue Jun 20 2000 - mt@suse.de
- added PIL.pth to the file list
* Wed Jun 07 2000 - ro@suse.de
- fixed to compile with tcl/tk 8.3
* Mon Dec 06 1999 - mt@suse.de
- added includes to the package (bugzilla #1490)
* Fri Nov 05 1999 - max@suse.de
- changed dependencies from tk_new and tix_new to tk and tix.
* Mon Oct 11 1999 - max@suse.de
- ready for the new Tcl/Tk packages
* Mon Sep 20 1999 - ro@suse.de
- added provides python_image_lib
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu May 27 1999 - ro@suse.de
- added blt and libpng to neededforbuild
* Wed May 26 1999 - mt@suse.de
- created package
